#include <cmath>
#include <iostream>
#include <vector>

#define DBG

#ifdef DBG
#define PRT(var) cout << #var << " = " << var << endl;
#else
#define PRT(var)
#endif

using namespace std;

struct point {
	double x,y;
	point (int x, int y) : x(x), y(y) {}
};

double dist (point a, point b) {
	return sqrt ( (b.x-a.x)*(b.x-a.x) + (b.y-a.y)*(b.y-a.y) );
}


vector <point> body;

int main () {
	int n,r,x,y;
	int *pocty;
	
	while (cin) {
		cin >> n >> r;
		PRT(n);
		PRT(r);
		if (n==0) break;
		pocty = new int[n];
		
		for (int i=0; i<n;i++) {
			pocty[i] = 0;
			cin >> x >> y;
			PRT(x);
			PRT(y);
			body.push_back(point(x,y));
		}
		
		for (int i=0; i<n;i++) {
			for (int j=0; j<n;j++) {
				if (i==j) continue;
				
				if (dist(body[i],body[j]) < 2*r ){
					pocty[i]++;
					
				}
				
			}
		}
		
		int max=0;
		for (int i=0; i<n;i++) {
			if (pocty[i]>pocty[max]) max=i;
		}
		
		cout << "It is possible to cover "<< pocty[max] << " points" << endl;
		
		delete [] pocty;
	}
	
	
	return 0;
}
