#include <iostream>
#include <string>

using namespace std;

int MAX = 10000;

struct point {
	int x,y;
	bool visited;
	point ()
		: visited(false)
	{}
}

point pole [MAX+1];
int n;
int pocetKroku=0;
int rozdil=0;
string solution;

int findMinLeft() {
	int t=0;
	for (int i=0; i<n; i++) {
		if (pole[t].x>pole[i].x) t=i;
		if (pole[t].x==pole[i].x && pole[t].y>pole[i].y ) t=i;
	}
	return t;
}

int next (int iS, char prev) {
	solution += prev;
	pocetKroku++;
	if(iS==0) rozdil = pocetKroku;
	if(solution.length==n) return 0;
	switch(prev){
		case 'N':
			for(int i=0;i<n;i++){
				if(pole[iS].y==pole[i].y && pole[iS].x < pole[i].x)
					next(i,'E');
					return 0;
			}
			for(int i=0;i<n;i++){
				if(pole[iS].y==pole[i].y && pole[iS].x > pole[i].x)
					next(i,'W');
					return 0;
			}
			break;
		case 'E':
			for(int i=0;i<n;i++){
				if(pole[iS].x==pole[i].x && pole[iS].y < pole[i].y)
					next(i,'N');
					return 0;
			}
			for(int i=0;i<n;i++){
				if(pole[iS].x==pole[i].x && pole[iS].y > pole[i].y)
					next(i,'S');
					return 0;
			}
			break;
		case 'S':
			for(int i=0;i<n;i++){
				if(pole[iS].y==pole[i].y && pole[iS].x < pole[i].x)
					next(i,'E');
					return 0;
			}
			for(int i=0;i<n;i++){
				if(pole[iS].y==pole[i].y && pole[iS].x > pole[i].x)
					next(i,'W');
					return 0;
			}
			break;
		case 'W':
			for(int i=0;i<n;i++){
				if(pole[iS].x==pole[i].x && pole[iS].y < pole[i].y)
					next(i,'N');
					return 0;
			}
			for(int i=0;i<n;i++){
				if(pole[iS].x==pole[i].x && pole[iS].y > pole[i].y)
					next(i,'S');
					return 0;
			}
			break;	
	}

}


int main () {

	while (cin) {
		cin >> n;
		if (n == 0) break;
		int x, y, iS, iN;

		for (int i=0; i<n; i++){
			cin >> x >> y;

			pole [i].x = x;
			pole [i].y = y;
		}
		iS=findMinLeft();
		iN=0;
		for(int i=0;i<n;i++){
				if(pole[iS].x==pole[i].x && pole[iS].y < pole[i].y){
					iN = i;
					break;
				}
		}
		next(iN,'N');
		cout << solution << endl;
	}
	
	return 0;
}
